splitter.ini(5)

# NAME

splitter.ini - configuration and save data for *splitterui(1)*

# DESCRIPTION

*splitterui* need to be run with a given save file. This file contains
configuration for the GUI, the game informations, the checkpoint list, and the
run split times.

This file is formated as a standard ini file, and every entries belongs to a
section.

# SECTION: global

*bg*
	The background color (RGBA).

*fg*
	The text color (RGBA).

*gold*
	The text color for gold splits (best split time) (RGBA).

*better*
	The text color for improved time delta (RGBA).

*worse*
	The text color for deteriorated time delta (RGBA).

*margin*
	The top and left margin.

# SECTION: game

*title*
	The runned game.

*category*
	The category of the speedrun.

*pause_after_forward*
	Will cause pauses after forwards. Usefull by example if the time have to be paused while in the menus in between levels.

# SECTION: checkpoint

*title*
	The name of one checkpoint.

# SECTION: run

This section isn't expected to be edited manually by the user. It is used by
*splitter* when saving the run.

*<checkpoint name>*
	Checkpoint time in nanosecond.

# EXAMPLE

```
[global]
bg=#303030FF
fg=#FFFFFFFF
gold=#e6c547FF
better=#b9ca4aFF
worse=#d54e53FF
margin=25
[game]
title=Celeste
category=any%
pause_after_forward=true
[checkpoint]
title=Forsaken City
title=Old Site
title=Celestial Resort
title=Golden Ridge
title=Mirror Temple
title=Reflection
title=The Summit
```
